aboutsummaryrefslogtreecommitdiff
path: root/check/zsh.sh
diff options
context:
space:
mode:
Diffstat (limited to 'check/zsh.sh')
-rw-r--r--check/zsh.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/check/zsh.sh b/check/zsh.sh
new file mode 100644
index 00000000..50335d56
--- /dev/null
+++ b/check/zsh.sh
@@ -0,0 +1,5 @@
+for zsh in zsh/* zsh/zshrc.d/* ; do
+ [ -f "$zsh" ] || continue
+ zsh -n "$zsh" || exit
+done
+printf 'All zsh(1) scripts parsed successfully.\n'